Last Comment Bug 779453 - Styling for active participants is lost when changing chatrooms
: Styling for active participants is lost when changing chatrooms
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 17.0
Assigned To: Florian Quèze [:florian] [:flo]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 03:22 PDT by Benedikt Pfeifer [:Mic]
Modified: 2012-08-14 07:50 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch (5.77 KB, patch)
2012-08-09 08:14 PDT, Florian Quèze [:florian] [:flo]
clokep: review+
Details | Diff | Review
Patch v2 (6.35 KB, patch)
2012-08-09 08:35 PDT, Florian Quèze [:florian] [:flo]
clokep: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description Benedikt Pfeifer [:Mic] 2012-08-01 03:22:37 PDT
The participant list of chatrooms shows inactive participants greyed out while active participants (= people who said something since the channel was joined) have a color.

Unfortunately this highlighting is lost when changing away from the channel. Instead, it should be available again when the user comes back to the channel.
Comment 1 Florian Quèze [:florian] [:flo] 2012-08-09 08:14:11 PDT
Created attachment 650563 [details] [diff] [review]
Patch
Comment 2 Patrick Cloke [:clokep] 2012-08-09 08:25:12 PDT
Comment on attachment 650563 [details] [diff] [review]
Patch

I would suggest making a hasOwnProperty method, but that's probably painful in the binding and I don't find the function calls too confusing.
Comment 3 Florian Quèze [:florian] [:flo] 2012-08-09 08:35:50 PDT
Created attachment 650577 [details] [diff] [review]
Patch v2

Simplified using an additional method, as suggested in comment 2.
Comment 4 Patrick Cloke [:clokep] 2012-08-09 08:39:12 PDT
Comment on attachment 650577 [details] [diff] [review]
Patch v2

Excellent, thanks!
Comment 5 Florian Quèze [:florian] [:flo] 2012-08-09 08:40:45 PDT
Comment on attachment 650577 [details] [diff] [review]
Patch v2

[Approval Request Comment]
I think we want this fix for Tb15, the list of participants currently look quite broken with all the nicks becoming grey again after switching back and forth between conversations, and it will look even worse once colors are added back in the message theme (bug 768919).

Note You need to log in before you can comment on or make changes to this bug.